<?php
/**
 * PLEASE NOTE: Due to the Joomla! core not supporting element array values,
 * this element may fail to read the default values
 *
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/elements/datepicker.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 * @since      1.0.11
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.filesystem.file');
jimport('joomla.html.parameter.element');
if (!class_exists('JmylifeConfiguration')) {
	JLoader::import('components.com_jmylife.libraries.configuration', JPATH_ROOT, '');
}
JLoader::import('components.com_jmylife.helpers.string', JPATH_ADMINISTRATOR, '');

/**
 * List view datepicker element class for the JMyLife Component
 *
 * @package    JMyLife
 */
class JElementDatepicker extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		  string
	 */
	var	$_name = 'DatePicker';

	function fetchElement($name, $value, &$node, $control_name) {
		// fetch doc
		$doc = JFactory::getDocument();
		// this gets done in datepicker loader too, yay redundancy
		$language =& JFactory::getLanguage();
		$language->load('com_jmylife', JPATH_ROOT);
		// fetch datepicker script
		JLoader::import('components.com_jmylife.libraries.jquery.datepicker.loader', JPATH_ROOT, '');
		// build element name
		$template = strlen($control_name) ? "%s[%s%s]" : "%s%s%s";
		$range1 = sprintf($template, $control_name, $name, 1);
		$range2 = sprintf($template, $control_name, $name, 2);
		// TODO: since this element uses a non-standard method of storing values
		// and core provides no way to do this without overloading JTable
		// find a way to pull correct saved values
		$value = array("{$value}", "{$value}");
		// what is this element for?
		if ($for = $node->attributes('for')) {
			// hack for core menu, since I can't overload core JTable
			if ('menu' == $for) {
				JLoader::import('components.com_jmylife.helpers.database', JPATH_ADMINISTRATOR, '');
				$db = JmylifeDatabaseHelper::getInstance();
				$v = new JVersion();
				// use request id (since this is likely the case with menu items)
				$cid = JRequest::getVar('cid', array(0), '', 'array'); $cid = intval($cid[0]);
				// build legacy query first
				$query = "SELECT link FROM #__menu WHERE id={$cid}";
				if ('1.5' != $v->RELEASE) {
					// stub - fix for 1.6
					//$query = "";
				}
				$db->setQuery($query);
				if ($link = $db->loadResult()) {
					if (stripos($link, $name)) {
						$link = str_replace('index.php?', '', $link);
						$parts = explode('&', $link);
						if (count($parts)) {
							foreach ($parts as $part) {
								$part = explode('=', $part);
								switch ($part[0]) {
									case "{$name}1": $value[0] = $part[1]; break;
									case "{$name}2": $value[1] = $part[1]; break;
								}
							}
						}
					}
				}
			}
			else if ('request' == $for) {
				foreach (array(1,2) as $i) {
					$v = JRequest::getCmd("{$name}{$i}", '');
					if (strlen($v)) {
						$v = preg_replace('`[^a-z0-9\-]`Di', '', $v);
					}
					$value[$i-1] = $v;
				}
			}
		}
		// add init script
		$doc->addScriptDeclaration(sprintf(
			'(function($){'.
				'$(document).ready(function(){'.
					'$(\'.rangePicker\').html(\'<a href="#" class="rangeDisplay"><span>%s</span></a>\').dateRangePicker({range1:{name:\'%s\',val:\'%s\'},range2:{name:\'%s\',val:\'%s\'}});'.
				'});'.
			'})(window.jml.jQuery);',
			JText::_('COM_JMYLIFE_DATEPICKER_PICK'), $range1, addslashes($value[0]), $range2, addslashes($value[1])
		));
		$html = '
<div class="jmlRangePicker">
	<div class="rangePicker">
		<label for="range1">From:</label>
		<input type="text" name="'.htmlspecialchars($range1).'" id="range1" value="'.htmlspecialchars($value[0]).'" />
		<label for="range2">To:</label>
		<input type="text" name="'.htmlspecialchars($range2).'" name="range2" value="'.htmlspecialchars($value[1]).'" />
	</div>
</div>';
		return $html;
	}
}