<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * administrator/components/com_jmylife/views/moderate/view.html.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
// imports
jimport( 'joomla.application.component.view' );

/**
 * HTML View Moderate class for the JMyLife Component
 *
 * @package    JMyLife
 */

class JmylifeViewModerate extends JView
{
	function display($tpl = null) {
		$option = JRequest::getCmd('option');
		$view = JRequest::getWord('view');
		$_JMLConfig = JmylifeConfiguration::getInstance();
		// J!1.6 doesn't use mainframe
		$appl =& JFactory::getApplication();
		switch (JRequest::getWord('task')) {
			case 'add':
			case 'edit':
				jimport('joomla.html.pane');
				$pane = JPane::getInstance('sliders', array('allowAllClose' => true));
				$document =& JFactory::getDocument();
				$document->addScriptDeclaration('window.jmlWYSIWYG=0;');
				$document->addStyleDeclaration( '#comJMyLifeStorySubmitText textarea{width:'.$editorwidth.'px !important;height:'.$editorheight.'px !important;}' );
				JmylifeCommon::loadModal();
				// get data from model
				$categories =& $this->get('Categories');
				$search =& $this->get('Search');
				$item =& $this->get('Item');
				$versions =& $this->get('Versions');
				// check length of $item
				if (0 < count($item)) {
					$item = $item[0];
				} else {
					// dummy item for new
					$item = new stdClass();
					$item->published   = 0;
					$item->name        = '';
					$item->id          = 0;
					$item->catid       = 0;
					$item->user_alias  = '';
					$item->user_id     = 0;
					$item->fulltext    = '';
					$item->votes1      = 0;
					$item->votes2      = 0;
					$item->numcomments = 0;
					// since 1.0.5
					$item->admin_fulltext = '';
					$item->title          = '';
					// fixed in 1.0.11 ;)
					$item->allow_comments = 0;
					$item->allow_votes    = 0;
				}
				// build category select
				$catopts = array(JHTML::_('select.option', '0', JText::_('COM_JMYLIFE_STORY_SELECTCATEGORY')));
				foreach ($categories as $cat) {
					$catopts[] = JHTML::_('select.option', $cat->id, $cat->name);
				}
				$catlist = JHTML::_('select.genericlist', $catopts, 'catid', 'class="inputbox" size="1" ', 'value', 'text', (int)$item->catid, 'catid');
				// build published radio
				$pubopts = array(
					JHTML::_('select.option', '1', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_YES')),
					JHTML::_('select.option', '0', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_NO'))
				);
				$publist = JHTML::_('select.radiolist', $pubopts, 'published', '', 'value', 'text', (int)$item->published, 'published');
				// since 1.0.5 comments optional
				$comopts = array(
					JHTML::_('select.option', '1', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_YES')),
					JHTML::_('select.option', '0', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_NO'))
				);
				$comlist = JHTML::_('select.radiolist', $comopts, 'allow_comments', '', 'value', 'text', $item->allow_comments, 'allow_comments');
				// since 1.0.5 voting optional
				$voteopts = array(
					JHTML::_('select.option', '1', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_YES')),
					JHTML::_('select.option', '0', JText::_('COM_JMYLIFE_CONFIGURATION_OPTION_NO'))
				);
				$votelist = JHTML::_('select.radiolist', $voteopts, 'allow_votes', '', 'value', 'text', $item->allow_votes, 'allow_votes');

				// text limit
				if ($limit = $_JMLConfig->getInt('editor_limit',0)) {
					$document->addScript($assetPath.'js/limitText.js');
					$document->addScriptDeclaration('(function($){
	$(document).ready(function() {
		$("#fulltext").limitText({
			limit: '.$limit.',
			text: {
				charleft: "'.JText::_('COM_JMYLIFE_SUBMIT_EDITOR_LENGTH_CHARLEFT').'",
				nomore: "'.JText::_('COM_JMYLIFE_SUBMIT_EDITOR_LENGTH_NOMORE').'"
			}
		}).trigger("change");
	});
})(window.jml.jQuery);');
				}
				// load html helper
				JLoader::import('components.com_jmylife.helpers.html', JPATH_ADMINISTRATOR, '');
				$html = JmylifeHtmlHelper::getInstance();
				// assign refs
				$this->assignRef('categories', $catlist);
				$this->assignRef('item', $item);
				$this->assignRef('versions', $versions);
				$this->assignRef('published', $publist);
				$this->assignRef('html', $html);
				$this->assignRef('allow_comments', $comlist);
				$this->assignRef('allow_votes', $votelist);
				$this->assignRef('pane', $pane);
				break;
			default:
				JHTML::_('behavior.tooltip');
				$items =& $this->get( 'Data' );
				// Table ordering.
				$lists['order']     = $appl->getUserStateFromRequest($option.$view.'filter_order', 'filter_order', 's.`time`', 'cmd' );
				$lists['order_Dir'] = $appl->getUserStateFromRequest($option.$view.'filter_order_Dir', 'filter_order_Dir', 'desc', 'word' );
				// pages
				$pagination =& $this->get( 'Pagination' );
				$this->assignRef( 'search', $search );
				$this->assignRef( 'items', $items );
				$this->assignRef( 'lists', $lists );
				$this->assignRef( 'pagination', $pagination );
				break;
		}
		// reference removed 1.0.6
		$this->assignRef('cparams', $_JMLConfig);
		parent::display($tpl);
	}
}